Subject: Re: bug#40280: gnus-cloud doesn't do anything useful

From: Ted Zlatanov <[email-masked]>
Date: Tue, 09 Jun 2020 16:41:29 +0000

On Wed, 13 May 2020 12:21:42 +0200 Mathieu Othacehe <[email-masked]> wrote: 

>> Looking at how `newer' is calculated, it compares the group timestamp
>> from the gnus-cloud message with the current time. It's not clear to me
>> how that test is ever going to return `nil', unless I have a version of
>> emacs running somewhere in the future that updates gnus-cloud.

MO> I share the same conclusions on 26.3, the downloaded message is always
MO> older than current time, and nothing happens.

MO> The patch you are proposing fixes gnus cloud update for me.

I agree this is a problem and agree with David's patch.

I've pushed the patch to branch scratch/tzz/dme/bug-40280-gnus-cloud-newest

I'll merge it into master and adjust any docs needed if I can get a
second review please :)

David, thank you very much for contributing the fix.

Ted